Subject: Re: [nncp-devel] EOF while decoding 8 bytes / message authentication failed

From: Frank Doepper <[email-masked]>
Date: Sat, 28 Dec 2019 18:51:42 +0100 (CET)

Am 28.12.19 um 15:05 schrieb Sergey Matveev:

> *** Frank Doepper [2019-12-25 15:46]:
> >But unfortunately our bug is not yet fixed.
> >I must note that the bug only triggers when there is data to send
>
> At last I was able to reproduce that behaviour. That was bug: Rx seen
> timeout was not taken into account in some cases: https://git.cypherpunks.ru/cgit.cgi/nncp.git/diff/src/sp.go?id=f3d5c49c31c59f699288799353b7bc1ba9211f38
> Now it must be fixed.

Thanks a lot, it works much better now! Really smooth, as far as I can
see.

Best regards,
Frank